
//----------------------------------------------------
// The following code was generated by CUP v0.11b 20160615 (GIT 4ac7450)
//----------------------------------------------------

package Analizador;

/** CUP generated class containing symbol constants. */
public class Simbolos {
  /* terminals */
  public static final int decimal = 28;
  public static final int print = 22;
  public static final int end = 20;
  public static final int coma = 6;
  public static final int ptrs = 33;
  public static final int numero = 29;
  public static final int jle = 18;
  public static final int parabre = 9;
  public static final int stack = 31;
  public static final int por = 4;
  public static final int jmp = 12;
  public static final int ptrh = 34;
  public static final int menos = 3;
  public static final int jge = 17;
  public static final int div = 5;
  public static final int igual = 8;
  public static final int EOF = 0;
  public static final int id = 30;
  public static final int parcierra = 10;
  public static final int error = 1;
  public static final int jl = 16;
  public static final int tipoe = 25;
  public static final int tipod = 24;
  public static final int tipoc = 23;
  public static final int temp = 26;
  public static final int call = 21;
  public static final int mas = 2;
  public static final int begin = 19;
  public static final int jg = 15;
  public static final int je = 13;
  public static final int jne = 14;
  public static final int etq = 27;
  public static final int mod = 7;
  public static final int dospuntos = 11;
  public static final int heap = 32;
  public static final String[] terminalNames = new String[] {
  "EOF",
  "error",
  "mas",
  "menos",
  "por",
  "div",
  "coma",
  "mod",
  "igual",
  "parabre",
  "parcierra",
  "dospuntos",
  "jmp",
  "je",
  "jne",
  "jg",
  "jl",
  "jge",
  "jle",
  "begin",
  "end",
  "call",
  "print",
  "tipoc",
  "tipod",
  "tipoe",
  "temp",
  "etq",
  "decimal",
  "numero",
  "id",
  "stack",
  "heap",
  "ptrs",
  "ptrh"
  };
}

